cabal-version:      2.4
name:               jwt-validator
version:            0.1.2.0
synopsis:
    Validation functions for jwt tokens from various oauth providers

-- A longer description of the package.
-- description:
homepage:           https://gitlab.com/tomorrowstalent/haskell/jwt-validator

-- A URL where users can report bugs.
-- bug-reports:
license:            MIT
license-file:       LICENSE
author:             Vance Palacio
maintainer:         vance@vanceism7.ml

-- A copyright notice.
-- copyright:
category:           Web
extra-source-files:
    CHANGELOG.md
    README.md

library
    exposed-modules:  JwtValidator.Google

    -- Modules included in this library but not exported.
    -- other-modules:

    -- LANGUAGE extensions used by modules in this package.
    -- other-extensions:
    build-depends:    base >=4.16 && < 4.19,
        mtl < 2.4,
        aeson < 2.3,
        bytestring < 0.13,
        text < 2.2,
        time < 1.14,
        jose-jwt < 0.11,
        http-conduit < 2.5
    hs-source-dirs:   src
    default-language: Haskell2010

-- test-suite jwt-validator-test
--     default-language: Haskell2010
--     type:             exitcode-stdio-1.0
--     hs-source-dirs:   test
--     main-is:          MyLibTest.hs
--     build-depends:    base ^>=4.16.1.0
